
DO $$ 
    BEGIN
         IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=3534) THEN
		RETURN;
          END IF;
 
        BEGIN
  
 CREATE TABLE public."Feedbacks"
(
	"Id" BIGSERIAL  PRIMARY KEY, 
	"Title" character varying(500) NOT NULL, 
	"Message"  character varying(4000) NOT NULL, 
	"Contact"  character varying(550) NULL, 
	"ContactName"  character varying(550) NULL, 
	"Type"  character varying(150) NULL, 
	"FileIds"  character varying(1500) NULL, 
	"Version"  character varying(1590) NULL, 
	"Timestamp" timestamp without time zone DEFAULT timezone('utc', now())  NOT NULL,
	"UserId" bigint NULL, 
	"Ip"  character varying(64) NULL, 
	"From"  character varying(500) NULL, 
	"Rating" INT NULL
);

        EXCEPTION
            WHEN duplicate_table THEN RAISE NOTICE 'Can not Create table <Feedbacks>.';
        END;
    END;
$$







